import javax.swing.*;

/**
 * Set up the window with a fixed size and put a text label into it.
 * Changes from version 3: added a text label.
 * @version 4, 13 Sept 2006.
 **/
public class SetUpOperation implements Runnable
{
    public void run () {
        // Make sure we have nice window decorations.
        JFrame.setDefaultLookAndFeelDecorated(true);
        
        // Create the window and set its size.
        JFrame frame = new JFrame ("My example program");
        frame.setSize(300, 200);
        
        // Make sure the program exits when the window is closed.
        frame.setDefaultCloseOperation (JFrame.EXIT_ON_CLOSE);
        
        // Add something to the window.
        JLabel text = new JLabel ("Isn't GUI programming fun?");
        frame.add(text);
        
        // Show the window.
        frame.setVisible(true);
    }
}
